pappso::FastaOutputStream Class Reference

`#include <fastaoutputstream.h>`

Inheritance diagram for pappso::FastaOutputStream:

## Public Member Functions

| FastaOutputStream (QTextStream &otxtstream)
| ~FastaOutputStream ()
void | writeProtein (const Protein &protein) override

## Private Attributes

QTextStream & | m_ofastastream

## Detailed Description

Definition at line 28 of file fastaoutputstream.h.

## Constructor & Destructor Documentation

## FastaOutputStream()

pappso::FastaOutputStream::FastaOutputStream | ( | QTextStream & | otxtstream | ) |

Definition at line 28 of file fastaoutputstream.cpp.

: m_ofastastream(otxtstream)
{
}
pappso::FastaOutputStream::m_ofastastream
QTextStream & m_ofastastream
Definition: fastaoutputstream.h:37

## ~FastaOutputStream()

pappso::FastaOutputStream::~FastaOutputStream | ( |  | ) |

Definition at line 33 of file fastaoutputstream.cpp.

{
}

## Member Function Documentation

## writeProtein()

void pappso::FastaOutputStream::writeProtein | ( | const Protein & | protein | ) |

override virtual

Implements pappso::FastaWriterInterface.

Definition at line 38 of file fastaoutputstream.cpp.

{
m_ofastastream << ">" << protein.getAccession() << " "
<< protein.getDescription() << Qt::endl;
m_ofastastream << protein.getSequence() << Qt::endl;
}

References pappso::Protein::getAccession(), pappso::Protein::getDescription(), pappso::Protein::getSequence(), and m_ofastastream.

## Member Data Documentation

## m_ofastastream

QTextStream& pappso::FastaOutputStream::m_ofastastream

private

Definition at line 37 of file fastaoutputstream.h.

Referenced by writeProtein().

The documentation for this class was generated from the following files:

- pappsomspp/fasta/fastaoutputstream.h
- pappsomspp/fasta/fastaoutputstream.cpp